
package it.siae.valorizzatore.integration.sso;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.7-b01 
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "AuthenticationService", targetNamespace = "http://aas.siae.it/", wsdlLocation = "it/siae/valorizzatore/integration/sso/AuthenticationService.asmx")
public class AuthenticationService
    extends Service
{

    private final static URL AUTHENTICATIONSERVICE_WSDL_LOCATION;
    private final static WebServiceException AUTHENTICATIONSERVICE_EXCEPTION;
    private final static QName AUTHENTICATIONSERVICE_QNAME = new QName("http://aas.siae.it/", "AuthenticationService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://aasws.sviluppo.siae/AuthenticationService.asmx?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        AUTHENTICATIONSERVICE_WSDL_LOCATION = url;
        AUTHENTICATIONSERVICE_EXCEPTION = e;
    }

    public AuthenticationService() {
        super(__getWsdlLocation(), AUTHENTICATIONSERVICE_QNAME);
    }

    public AuthenticationService(WebServiceFeature... features) {
        super(__getWsdlLocation(), AUTHENTICATIONSERVICE_QNAME, features);
    }

    public AuthenticationService(URL wsdlLocation) {
        super(wsdlLocation, AUTHENTICATIONSERVICE_QNAME);
    }

    public AuthenticationService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, AUTHENTICATIONSERVICE_QNAME, features);
    }

    public AuthenticationService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public AuthenticationService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns AuthenticationServiceSoap
     */
    @WebEndpoint(name = "AuthenticationServiceSoap")
    public AuthenticationServiceSoap getAuthenticationServiceSoap() {
        return super.getPort(new QName("http://aas.siae.it/", "AuthenticationServiceSoap"), AuthenticationServiceSoap.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns AuthenticationServiceSoap
     */
    @WebEndpoint(name = "AuthenticationServiceSoap")
    public AuthenticationServiceSoap getAuthenticationServiceSoap(WebServiceFeature... features) {
        return super.getPort(new QName("http://aas.siae.it/", "AuthenticationServiceSoap"), AuthenticationServiceSoap.class, features);
    }

    /**
     * 
     * @return
     *     returns AuthenticationServiceSoap
     */
    @WebEndpoint(name = "AuthenticationServiceSoap12")
    public AuthenticationServiceSoap getAuthenticationServiceSoap12() {
        return super.getPort(new QName("http://aas.siae.it/", "AuthenticationServiceSoap12"), AuthenticationServiceSoap.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns AuthenticationServiceSoap
     */
    @WebEndpoint(name = "AuthenticationServiceSoap12")
    public AuthenticationServiceSoap getAuthenticationServiceSoap12(WebServiceFeature... features) {
        return super.getPort(new QName("http://aas.siae.it/", "AuthenticationServiceSoap12"), AuthenticationServiceSoap.class, features);
    }

    private static URL __getWsdlLocation() {
        if (AUTHENTICATIONSERVICE_EXCEPTION!= null) {
            throw AUTHENTICATIONSERVICE_EXCEPTION;
        }
        return AUTHENTICATIONSERVICE_WSDL_LOCATION;
    }

}
